Subject: Re: bug#38614: 26.3; Info completions in reverse order

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Dec 2019 18:06:24 +0200

> From: Howard Melman <[email-masked]>
> Date: Sat, 14 Dec 2019 12:18:54 -0500
> 
> When using ivy mode, Info-index shows me the list of
> completions in reverse alphabetical order. Info-menu does too.
> Both Info-index and Info-menu use completing-read with
> Info-complete-menu-item as the collections argument. It
> seems to generate the list in reverse order.
> 
> Sorry this isn't a formatted patch, but a one line fix solves it for me.
> 
> If after this line in Info-complete-menu-item:
> 		    (setq completions (delete-dups completions))
> I add this line:
> 		    (setq completions (nreverse completions))
> the index and menus are shown in alphabetical order.

Sorry, I don't understand: when I type "i SUBJECT" and press TAB in
Info, I get completions in alphabetical order, so how come with ivy
you get the reverse order?